//
//*****************************************************************************
//*                                                                           *
//* COPYRIGHT (c) Maelzel, Inc.,                                              *
//*                                                                           *
//*          Redistribution and use of this code and the algorithms herein    *
//*          contained, with or without modification, is permitted provided   *
//*          that the following conditions are met:                           *
//*          * Redistribution of this code and the algorithms herein          *
//*            contained must retain the above copyright notice, this list    *
//*            of conditions, and the following disclaimer.                   *
//*          * Any use of this code and the algorithms herein contained as    *
//*            text or in binary form must attribute, in a reasonable         *
//*            manner, the provenance and authorship of this code as          *
//*            shown in the copyright above.                                  *
//*                                                                           *
//* DISCLAIMER This code and the algorithms herein contained are provided     *
//*            by the developer ''as is'' without any expressed or implied    *
//*            warranties, including, but not limited to, fitness for any     *
//*            particular purpose or any consequential damage that may        *
//*            occur as a consequence of use or association with this code    *
//*            or the algorithms herein contained.                            *
//*                                                                           *
//* TOP      This file.                                                       *
//* CLASS    AgentTemplate.cs. (a template structure with name, age, etc.)    *
//* AUTHOR   Ovi Chris Rouly                                                  *
//*                                                                           *
//* DATE     11/17/2013                                                       *
//* REVISION X.0.0.8                                                          *
//* BYTES    8,377                                                            *
//* TIME     22:08                                                            *
//* PURPOSE  To facilitate the orderly entry of agents into the model.        *
//* METHOD   By means of software simulation, model proto-humans.             *
//* DETAILS  Created in C# to model proto-humans.                             *
//* ENVIRON  Developed on a 64-bit Intel Core2Quad, 2.33GHz, with 4GB RAM.    *
//*          The Zotac m-ITX motherboard had board-based Nvidia 9300 graphics *
//*          acceleration. The Operating System was Microsoft (MS)            *
//*          Windows 8 Pro.  The MS Integrated Development Environment (IDE)  *
//*          MS Visual Studio 2010 Version 10.0.40219.1 SP1Rel and MS .NET    *
//*          Framework Version 4.0.30319 SP1Rel.                              *
//*                                                                           *
//*****************************************************************************
//

using System;
using System.Diagnostics;

//
//*****************************************************************************
//

namespace Nursery
{

    //
    //*************************************************************************
    // AgentTemplate

    public class AgentTemplate
    {

        //
        //*********************************************************************
        // Class constants, variables, and objects.

        #region Variables Dictionary
        // Constants.

        // Variables.
        String  name = "";
        String  displayLine = "";
        int     age = 0;
        Process process = null;
        String seedGroupCommand = "";

        // Objects.
        #endregion Variables Dictionary

        //
        //*********************************************************************
        //

        #region Constructor
        /// <summary>
        /// this is a constructor.
        /// </summary>
        public AgentTemplate ( )
        {
            // this is intentionally blank.
        }
        #endregion Constructor
        
        //
        //*********************************************************************
        //

        #region Constructor

        /// <summary>
        /// this is a constructor.
        /// </summary>
        public AgentTemplate ( String theirName )
        {
            this.name = theirName;
        }

        #endregion Constructor

        //
        //*********************************************************************
        //

        #region Getters & Setters

        /// <summary>
        /// this method gets the agent's name.
        /// </summary>
        public int GetAge ()
        {
            return this.age;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method sets the agent's name.
        /// </summary>
        public void SetAge ( int newAge )
        {
            this.age = newAge;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method gets the agent's Display Line.
        /// </summary>
        public String GetDisplayLine ()
        {
            return this.displayLine;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method sets the agent's Display Line.
        /// </summary>
        public void SetDisplayLine ( String newDisplayLine )
        {
            this.displayLine = newDisplayLine;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method gets the agent's name.
        /// </summary>
        public String GetName ()
        {
            return this.name;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method sets the agent's name.
        /// </summary>
        public void SetName ( String newName )
        {
            this.name = newName;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method gets the agent's seed group command string.
        /// </summary>
        public String GetSeedGroupCommands ()
        {
            return this.seedGroupCommand;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method sets the agent's seed group command string.
        /// </summary>
        public void SetSeedGroupCommands ( String newCommandString )
        {
            this.seedGroupCommand = newCommandString;
        }

        /// <summary>
        /// this method gets the agent's process.
        /// </summary>
        public Process GetProcess ()
        {
            return this.process;
        }
        //
        //*********************************************************************
        //

        /// <summary>
        /// this method sets the agent's process.
        /// </summary>
        public void SetProcess ( Process newProcess )
        {
            this.process = newProcess;
        }

        #endregion Getters & Setters

        //
        //*********************************************************************
        //

        /// <summary>
        /// this method does something.
        /// </summary>
        private void Template ()
        {
            // add code here.
        }
        //
        //*********************************************************************
        //

    } // end Agent.
}
