﻿//
//*****************************************************************************
//*                                                                           *
//* COPYRIGHT (c) Maelzel, Inc.,                                              *
//*                                                                           *
//*          Redistribution and use of this code and the algorithms herein    *
//*          contained, with or without modification, is permitted provided   *
//*          that the following conditions are met:                           *
//*          * Redistribution of this code and the algorithms herein          *
//*            contained must retain the above copyright notice, this list    *
//*            of conditions, and the following disclaimer.                   *
//*          * Any use of this code and the algorithms herein contained as    *
//*            text or in binary form must attribute, in a reasonable         *
//*            manner, the provenance and authorship of this code as          *
//*            shown in the copyright above.                                  *
//*                                                                           *
//* DISCLAIMER This code and the algorithms herein contained are provided     *
//*            by the developer ''as is'' without any expressed or implied    *
//*            warranties, including, but not limited to, fitness for any     *
//*            particular purpose or any consequential damage that may        *
//*            occur as a consequence of use or association with this code    *
//*            or the algorithms herein contained.                            *
//*                                                                           *
//* TOP      This file.                                                       *
//* CLASS    TopForm.Designer.cs.(Top level GUI - MS generated)               *
//* AUTHOR   Ovi Chris Rouly                                                  *
//*                                                                           *
//* DATE     11/17/2013                                                       *
//* REVISION X.0.0.8                                                          *
//* BYTES    26,528                                                           *
//* TIME     19:00                                                            *
//* PURPOSE  To facilitate the orderly entry of agents into the model.        *
//* METHOD   By means of software simulation, model proto-humans.             *
//* DETAILS  Created in C# to model proto-humans.                             *
//* ENVIRON  Developed on a 64-bit Intel Core2Quad, 2.33GHz, with 4GB RAM.    *
//*          The Zotac m-ITX motherboard had board-based Nvidia 9300 graphics *
//*          acceleration. The Operating System was Microsoft (MS)            *
//*          Windows 8 Pro.  The MS Integrated Development Environment (IDE)  *
//*          MS Visual Studio 2010 Version 10.0.40219.1 SP1Rel and MS .NET    *
//*          Framework Version 4.0.30319 SP1Rel.                              *
//*                                                                           *
//*****************************************************************************
//

namespace Nursery
{

    //
    //*************************************************************************
    // TopForm

    partial class TopForm
    {

        //
        //*********************************************************************
        // Class constants, variables, and objects.

        // Constants.
        // Variables.
        // Objects.

        //
        //*********************************************************************
        //

        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;
        //
        //*********************************************************************
        //

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be
        /// disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        //
        //*********************************************************************
        //

        #region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager ( typeof ( TopForm ) );
            this.buttonRemoveAgents = new System.Windows.Forms.Button ();
            this.listBoxActiveAgents = new System.Windows.Forms.ListBox ();
            this.labelActivation = new System.Windows.Forms.Label ();
            this.buttonActivate = new System.Windows.Forms.Button ();
            this.buttonQuit = new System.Windows.Forms.Button ();
            this.labelActiveAgentCount = new System.Windows.Forms.Label ();
            this.labelRightBlank = new System.Windows.Forms.Label ();
            this.panelCohorts = new System.Windows.Forms.Panel ();
            this.labelCohorts = new System.Windows.Forms.Label ();
            this.numericUpDownGroups = new System.Windows.Forms.NumericUpDown ();
            this.panelSexMembership = new System.Windows.Forms.Panel ();
            this.labelRandomChoices = new System.Windows.Forms.Label ();
            this.labelFemaleChoices = new System.Windows.Forms.Label ();
            this.labelMaleChoices = new System.Windows.Forms.Label ();
            this.labelSexMembership = new System.Windows.Forms.Label ();
            this.numericUpDownRandomSexSelector = new System.Windows.Forms.NumericUpDown ();
            this.numericUpDownFemaleSelector = new System.Windows.Forms.NumericUpDown ();
            this.numericUpDownMaleSelector = new System.Windows.Forms.NumericUpDown ();
            this.labelSetUp = new System.Windows.Forms.Label ();
            this.groupBoxGenerator = new System.Windows.Forms.GroupBox ();
            this.buttonCreate = new System.Windows.Forms.Button ();
            this.groupBoxCandidates = new System.Windows.Forms.GroupBox ();
            this.labelLeftBlank = new System.Windows.Forms.Label ();
            this.panelCohorts.SuspendLayout ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownGroups ) ).BeginInit ();
            this.panelSexMembership.SuspendLayout ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownRandomSexSelector ) ).BeginInit ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownFemaleSelector ) ).BeginInit ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownMaleSelector ) ).BeginInit ();
            this.groupBoxGenerator.SuspendLayout ();
            this.groupBoxCandidates.SuspendLayout ();
            this.SuspendLayout ();
            // 
            // buttonRemoveAgents
            // 
            this.buttonRemoveAgents.Location = new System.Drawing.Point ( 92, 256 );
            this.buttonRemoveAgents.Name = "buttonRemoveAgents";
            this.buttonRemoveAgents.Size = new System.Drawing.Size ( 73, 26 );
            this.buttonRemoveAgents.TabIndex = 12;
            this.buttonRemoveAgents.Text = "Remove";
            this.buttonRemoveAgents.UseVisualStyleBackColor = true;
            this.buttonRemoveAgents.Click += new System.EventHandler ( this.buttonRemoveAgents_Click );
            // 
            // listBoxActiveAgents
            // 
            this.listBoxActiveAgents.DisplayMember = "None";
            this.listBoxActiveAgents.FormattingEnabled = true;
            this.listBoxActiveAgents.Location = new System.Drawing.Point ( 22, 24 );
            this.listBoxActiveAgents.Name = "listBoxActiveAgents";
            this.listBoxActiveAgents.SelectionMode = System.Windows.Forms.SelectionMode.MultiExtended;
            this.listBoxActiveAgents.Size = new System.Drawing.Size ( 200, 212 );
            this.listBoxActiveAgents.TabIndex = 8;
            this.listBoxActiveAgents.ValueMember = "None";
            // 
            // labelActivation
            // 
            this.labelActivation.AutoSize = true;
            this.labelActivation.Font = new System.Drawing.Font ( "Microsoft Sans Serif", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ( ( byte ) ( 0 ) ) );
            this.labelActivation.Location = new System.Drawing.Point ( 356, 15 );
            this.labelActivation.Name = "labelActivation";
            this.labelActivation.Size = new System.Drawing.Size ( 133, 24 );
            this.labelActivation.TabIndex = 9;
            this.labelActivation.Text = "ACTIVATION";
            // 
            // buttonActivate
            // 
            this.buttonActivate.Font = new System.Drawing.Font ( "Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ( ( byte ) ( 0 ) ) );
            this.buttonActivate.Location = new System.Drawing.Point ( 93, 364 );
            this.buttonActivate.Name = "buttonActivate";
            this.buttonActivate.Size = new System.Drawing.Size ( 125, 30 );
            this.buttonActivate.TabIndex = 10;
            this.buttonActivate.Text = "Activate";
            this.buttonActivate.UseVisualStyleBackColor = true;
            this.buttonActivate.Click += new System.EventHandler ( this.buttonStart_Click );
            // 
            // buttonQuit
            // 
            this.buttonQuit.Font = new System.Drawing.Font ( "Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ( ( byte ) ( 0 ) ) );
            this.buttonQuit.Location = new System.Drawing.Point ( 365, 364 );
            this.buttonQuit.Name = "buttonQuit";
            this.buttonQuit.Size = new System.Drawing.Size ( 125, 30 );
            this.buttonQuit.TabIndex = 12;
            this.buttonQuit.Text = "Quit";
            this.buttonQuit.UseVisualStyleBackColor = true;
            this.buttonQuit.Click += new System.EventHandler ( this.buttonExit_Click );
            // 
            // labelActiveAgentCount
            // 
            this.labelActiveAgentCount.AutoSize = true;
            this.labelActiveAgentCount.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.labelActiveAgentCount.Location = new System.Drawing.Point ( 193, 414 );
            this.labelActiveAgentCount.MaximumSize = new System.Drawing.Size ( 188, 0 );
            this.labelActiveAgentCount.MinimumSize = new System.Drawing.Size ( 188, 0 );
            this.labelActiveAgentCount.Name = "labelActiveAgentCount";
            this.labelActiveAgentCount.Size = new System.Drawing.Size ( 188, 15 );
            this.labelActiveAgentCount.TabIndex = 13;
            this.labelActiveAgentCount.Text = "Candidates:  000";
            this.labelActiveAgentCount.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // labelRightBlank
            // 
            this.labelRightBlank.AutoSize = true;
            this.labelRightBlank.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.labelRightBlank.Location = new System.Drawing.Point ( 383, 414 );
            this.labelRightBlank.MaximumSize = new System.Drawing.Size ( 188, 0 );
            this.labelRightBlank.MinimumSize = new System.Drawing.Size ( 188, 0 );
            this.labelRightBlank.Name = "labelRightBlank";
            this.labelRightBlank.Size = new System.Drawing.Size ( 188, 15 );
            this.labelRightBlank.TabIndex = 14;
            this.labelRightBlank.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // panelCohorts
            // 
            this.panelCohorts.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.panelCohorts.Controls.Add ( this.labelCohorts );
            this.panelCohorts.Controls.Add ( this.numericUpDownGroups );
            this.panelCohorts.Location = new System.Drawing.Point ( 21, 24 );
            this.panelCohorts.Name = "panelCohorts";
            this.panelCohorts.Size = new System.Drawing.Size ( 200, 65 );
            this.panelCohorts.TabIndex = 17;
            // 
            // labelCohorts
            // 
            this.labelCohorts.AutoSize = true;
            this.labelCohorts.Location = new System.Drawing.Point ( 3, 3 );
            this.labelCohorts.Name = "labelCohorts";
            this.labelCohorts.Size = new System.Drawing.Size ( 52, 13 );
            this.labelCohorts.TabIndex = 16;
            this.labelCohorts.Text = "Cohort(s):";
            // 
            // numericUpDownGroups
            // 
            this.numericUpDownGroups.Location = new System.Drawing.Point ( 78, 24 );
            this.numericUpDownGroups.Maximum = new decimal ( new int [] {
            3,
            0,
            0,
            0} );
            this.numericUpDownGroups.Minimum = new decimal ( new int [] {
            1,
            0,
            0,
            0} );
            this.numericUpDownGroups.Name = "numericUpDownGroups";
            this.numericUpDownGroups.Size = new System.Drawing.Size ( 50, 20 );
            this.numericUpDownGroups.TabIndex = 15;
            this.numericUpDownGroups.Value = new decimal ( new int [] {
            1,
            0,
            0,
            0} );
            this.numericUpDownGroups.ValueChanged += new System.EventHandler ( this.numericUpDownGroups_ValueChanged );
            // 
            // panelSexMembership
            // 
            this.panelSexMembership.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.panelSexMembership.Controls.Add ( this.labelRandomChoices );
            this.panelSexMembership.Controls.Add ( this.labelFemaleChoices );
            this.panelSexMembership.Controls.Add ( this.labelMaleChoices );
            this.panelSexMembership.Controls.Add ( this.labelSexMembership );
            this.panelSexMembership.Controls.Add ( this.numericUpDownRandomSexSelector );
            this.panelSexMembership.Controls.Add ( this.numericUpDownFemaleSelector );
            this.panelSexMembership.Controls.Add ( this.numericUpDownMaleSelector );
            this.panelSexMembership.Location = new System.Drawing.Point ( 21, 108 );
            this.panelSexMembership.Name = "panelSexMembership";
            this.panelSexMembership.Size = new System.Drawing.Size ( 200, 128 );
            this.panelSexMembership.TabIndex = 18;
            // 
            // labelRandomChoices
            // 
            this.labelRandomChoices.AutoSize = true;
            this.labelRandomChoices.Location = new System.Drawing.Point ( 25, 92 );
            this.labelRandomChoices.Name = "labelRandomChoices";
            this.labelRandomChoices.Size = new System.Drawing.Size ( 92, 13 );
            this.labelRandomChoices.TabIndex = 26;
            this.labelRandomChoices.Text = "Random Assign(s)";
            // 
            // labelFemaleChoices
            // 
            this.labelFemaleChoices.AutoSize = true;
            this.labelFemaleChoices.Location = new System.Drawing.Point ( 23, 61 );
            this.labelFemaleChoices.Name = "labelFemaleChoices";
            this.labelFemaleChoices.Size = new System.Drawing.Size ( 52, 13 );
            this.labelFemaleChoices.TabIndex = 25;
            this.labelFemaleChoices.Text = "Female(s)";
            // 
            // labelMaleChoices
            // 
            this.labelMaleChoices.AutoSize = true;
            this.labelMaleChoices.Location = new System.Drawing.Point ( 23, 29 );
            this.labelMaleChoices.Name = "labelMaleChoices";
            this.labelMaleChoices.Size = new System.Drawing.Size ( 41, 13 );
            this.labelMaleChoices.TabIndex = 24;
            this.labelMaleChoices.Text = "Male(s)";
            // 
            // labelSexMembership
            // 
            this.labelSexMembership.AutoSize = true;
            this.labelSexMembership.Location = new System.Drawing.Point ( 3, 3 );
            this.labelSexMembership.Name = "labelSexMembership";
            this.labelSexMembership.Size = new System.Drawing.Size ( 101, 13 );
            this.labelSexMembership.TabIndex = 23;
            this.labelSexMembership.Text = "Member(s) / Cohort:";
            // 
            // numericUpDownRandomSexSelector
            // 
            this.numericUpDownRandomSexSelector.Location = new System.Drawing.Point ( 139, 90 );
            this.numericUpDownRandomSexSelector.Maximum = new decimal ( new int [] {
            10,
            0,
            0,
            0} );
            this.numericUpDownRandomSexSelector.Name = "numericUpDownRandomSexSelector";
            this.numericUpDownRandomSexSelector.Size = new System.Drawing.Size ( 45, 20 );
            this.numericUpDownRandomSexSelector.TabIndex = 22;
            this.numericUpDownRandomSexSelector.ValueChanged += new System.EventHandler ( this.numericUpDownRandomSexSelector_ValueChanged );
            // 
            // numericUpDownFemaleSelector
            // 
            this.numericUpDownFemaleSelector.Location = new System.Drawing.Point ( 139, 59 );
            this.numericUpDownFemaleSelector.Maximum = new decimal ( new int [] {
            10,
            0,
            0,
            0} );
            this.numericUpDownFemaleSelector.Name = "numericUpDownFemaleSelector";
            this.numericUpDownFemaleSelector.Size = new System.Drawing.Size ( 45, 20 );
            this.numericUpDownFemaleSelector.TabIndex = 21;
            this.numericUpDownFemaleSelector.ValueChanged += new System.EventHandler ( this.numericUpDownFemaleSelector_ValueChanged );
            // 
            // numericUpDownMaleSelector
            // 
            this.numericUpDownMaleSelector.Location = new System.Drawing.Point ( 139, 27 );
            this.numericUpDownMaleSelector.Maximum = new decimal ( new int [] {
            10,
            0,
            0,
            0} );
            this.numericUpDownMaleSelector.Name = "numericUpDownMaleSelector";
            this.numericUpDownMaleSelector.Size = new System.Drawing.Size ( 45, 20 );
            this.numericUpDownMaleSelector.TabIndex = 20;
            this.numericUpDownMaleSelector.ValueChanged += new System.EventHandler ( this.numericUpDownMaleSelector_ValueChanged );
            // 
            // labelSetUp
            // 
            this.labelSetUp.AutoSize = true;
            this.labelSetUp.Font = new System.Drawing.Font ( "Microsoft Sans Serif", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ( ( byte ) ( 0 ) ) );
            this.labelSetUp.Location = new System.Drawing.Point ( 109, 15 );
            this.labelSetUp.Name = "labelSetUp";
            this.labelSetUp.Size = new System.Drawing.Size ( 83, 24 );
            this.labelSetUp.TabIndex = 19;
            this.labelSetUp.Text = "SET UP";
            this.labelSetUp.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // groupBoxGenerator
            // 
            this.groupBoxGenerator.Controls.Add ( this.buttonCreate );
            this.groupBoxGenerator.Controls.Add ( this.panelSexMembership );
            this.groupBoxGenerator.Controls.Add ( this.panelCohorts );
            this.groupBoxGenerator.Location = new System.Drawing.Point ( 27, 44 );
            this.groupBoxGenerator.Name = "groupBoxGenerator";
            this.groupBoxGenerator.Size = new System.Drawing.Size ( 245, 301 );
            this.groupBoxGenerator.TabIndex = 21;
            this.groupBoxGenerator.TabStop = false;
            this.groupBoxGenerator.Text = "Generator";
            // 
            // buttonCreate
            // 
            this.buttonCreate.Font = new System.Drawing.Font ( "Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ( ( byte ) ( 0 ) ) );
            this.buttonCreate.Location = new System.Drawing.Point ( 92, 256 );
            this.buttonCreate.Name = "buttonCreate";
            this.buttonCreate.Size = new System.Drawing.Size ( 73, 26 );
            this.buttonCreate.TabIndex = 19;
            this.buttonCreate.Text = "Create";
            this.buttonCreate.UseVisualStyleBackColor = true;
            this.buttonCreate.Click += new System.EventHandler ( this.buttonCreate_Click );
            // 
            // groupBoxCandidates
            // 
            this.groupBoxCandidates.Controls.Add ( this.listBoxActiveAgents );
            this.groupBoxCandidates.Controls.Add ( this.buttonRemoveAgents );
            this.groupBoxCandidates.Location = new System.Drawing.Point ( 300, 44 );
            this.groupBoxCandidates.Name = "groupBoxCandidates";
            this.groupBoxCandidates.Size = new System.Drawing.Size ( 245, 301 );
            this.groupBoxCandidates.TabIndex = 22;
            this.groupBoxCandidates.TabStop = false;
            this.groupBoxCandidates.Text = "Agents";
            // 
            // labelLeftBlank
            // 
            this.labelLeftBlank.AutoSize = true;
            this.labelLeftBlank.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.labelLeftBlank.Location = new System.Drawing.Point ( 3, 414 );
            this.labelLeftBlank.MaximumSize = new System.Drawing.Size ( 188, 0 );
            this.labelLeftBlank.MinimumSize = new System.Drawing.Size ( 188, 0 );
            this.labelLeftBlank.Name = "labelLeftBlank";
            this.labelLeftBlank.Size = new System.Drawing.Size ( 188, 15 );
            this.labelLeftBlank.TabIndex = 15;
            this.labelLeftBlank.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // TopForm
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF ( 6F, 13F );
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size ( 573, 431 );
            this.ControlBox = false;
            this.Controls.Add ( this.groupBoxCandidates );
            this.Controls.Add ( this.groupBoxGenerator );
            this.Controls.Add ( this.labelSetUp );
            this.Controls.Add ( this.labelLeftBlank );
            this.Controls.Add ( this.labelRightBlank );
            this.Controls.Add ( this.labelActiveAgentCount );
            this.Controls.Add ( this.buttonQuit );
            this.Controls.Add ( this.buttonActivate );
            this.Controls.Add ( this.labelActivation );
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
            this.Icon = ( ( System.Drawing.Icon ) ( resources.GetObject ( "$this.Icon" ) ) );
            this.Name = "TopForm";
            this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
            this.Text = "The Basis of Small-Group Social Behaviors";
            this.Load += new System.EventHandler ( this.TopForm_Load );
            this.panelCohorts.ResumeLayout ( false );
            this.panelCohorts.PerformLayout ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownGroups ) ).EndInit ();
            this.panelSexMembership.ResumeLayout ( false );
            this.panelSexMembership.PerformLayout ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownRandomSexSelector ) ).EndInit ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownFemaleSelector ) ).EndInit ();
            ( ( System.ComponentModel.ISupportInitialize ) ( this.numericUpDownMaleSelector ) ).EndInit ();
            this.groupBoxGenerator.ResumeLayout ( false );
            this.groupBoxCandidates.ResumeLayout ( false );
            this.ResumeLayout ( false );
            this.PerformLayout ();

        }
        #endregion Windows Form Designer generated code

        //
        //*********************************************************************
        //

        private System.Windows.Forms.Button buttonCreate;
        private System.Windows.Forms.Button buttonRemoveAgents;
        private System.Windows.Forms.Button buttonQuit;
        private System.Windows.Forms.Button buttonActivate;
        private System.Windows.Forms.GroupBox groupBoxGenerator;
        private System.Windows.Forms.GroupBox groupBoxCandidates;
        private System.Windows.Forms.Label labelActiveAgentCount;
        private System.Windows.Forms.Label labelCohorts;
        private System.Windows.Forms.Label labelFemaleChoices;
        private System.Windows.Forms.Label labelRightBlank;
        private System.Windows.Forms.Label labelMaleChoices;
        private System.Windows.Forms.Label labelRandomChoices;
        private System.Windows.Forms.Label labelActivation;
        private System.Windows.Forms.Label labelSetUp;
        private System.Windows.Forms.Label labelSexMembership;
        private System.Windows.Forms.NumericUpDown numericUpDownGroups;
        private System.Windows.Forms.NumericUpDown numericUpDownFemaleSelector;
        private System.Windows.Forms.NumericUpDown numericUpDownMaleSelector;
        private System.Windows.Forms.NumericUpDown numericUpDownRandomSexSelector;
        private System.Windows.Forms.Panel panelCohorts;
        private System.Windows.Forms.Panel panelSexMembership;
        private System.Windows.Forms.Label labelLeftBlank;
        public System.Windows.Forms.ListBox listBoxActiveAgents;

        //
        //*********************************************************************
        //
    }
}

